# PetscLogStageRegister

Attaches a charactor string name to a logging stage.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogStageRegister(int *stage, const char sname[])

Not Collective

### Input Parameter

sname -The name to associate with that stage

### Output Parameter

stage -The stage number

### Keywords

log, stage, register

### See Also

PetscLogStagePush(), PetscLogStagePop()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html